<?php

namespace App\Filament\Admin\Resources\OrderPackages\Pages;

use App\Filament\Admin\Resources\OrderPackages\OrderPackageResource;
use Filament\Actions\Action;
use Filament\Actions\EditAction;
use Filament\Resources\Pages\ViewRecord;

class ViewOrderPackage extends ViewRecord
{
    protected static string $resource = OrderPackageResource::class;

    protected function getHeaderActions(): array
    {
        return [
            EditAction::make(),
            Action::make('pay_stripe')
    ->label('Pay with Stripe')
    // ->url(route('stripe.checkout', ['amount' => $this->record->amount ]))
    ->openUrlInNewTab()

        ];
    }
}
